/*
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License.  You may obtain a
 * copy of the License at the following location:
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
 
/* reset */
html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, abbr, address, cite, code, del, dfn, em, img, ins, kbd, q, samp, small, strong, sub, sup, var, b, i, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, figcaption, figure, footer, header, hgroup, menu, nav, section, summary, time, mark, audio, video { margin: 0; padding: 0; border: 0; outline: 0; font-size: 100%; vertical-align: baseline; background: transparent; }

body { line-height: 1; }

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section { display: block; }

nav ul { list-style: none; }

blockquote, q { quotes: none; }

blockquote:before, blockquote:after, q:before, q:after { content: ''; content: none; }

a { margin: 0; padding: 0; font-size: 100%; vertical-align: baseline; background: transparent; }

/* change colours to suit your needs */
ins { background-color: #ff9; color: #000; text-decoration: none; }

/* change colours to suit your needs */
mark { background-color: #ff9; color: #000; font-style: italic; font-weight: bold; }

del { text-decoration: line-through; }

abbr[title], dfn[title] { border-bottom: 1px dotted; cursor: help; }

table { border-collapse: collapse; border-spacing: 0; }

/* change border colour to suit your needs */
hr { display: block; height: 1px; border: 0; border-top: 1px solid #cccccc; margin: 1em 0; padding: 0; }

input, select { vertical-align: middle; }

/* general page */
body { font-family: Verdana, sans-serif; font-size: 11px; line-height: 1.4em; }

#cas { background: #eee; }
#cas .flc-screenNavigator-view-container {
  display: grid;
  margin-top: 100px;
  grid-template-columns: 1fr 800px 1fr;
  @media only screen and (max-width: 800px) {
    #cas .flc-screenNavigator-view-container {
      margin-top: 15px;
      grid-template-columns: 7% auto 7%;
    }
  }
}
#cas .flc-screenNavigator-view-container #header, #cas .flc-screenNavigator-view-container #content { background: #fff; -webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1); box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1); }
#cas .flc-screenNavigator-view-container #content { -webkit-border-bottom-right-radius: 4px; -webkit-border-bottom-left-radius: 4px; -moz-border-radius-bottomright: 4px; -moz-border-radius-bottomleft: 4px; border-bottom-right-radius: 4px; border-bottom-left-radius: 4px; }

@media only screen and (max-width: 960px) { #cas .flc-screenNavigator-view-container { width: 100%; }
  #cas .flc-screenNavigator-view-container #content { -webkit-border-bottom-right-radius: 0px; -webkit-border-bottom-left-radius: 0px; -moz-border-radius-bottomright: 0px; -moz-border-radius-bottomleft: 0px; border-bottom-right-radius: 0px; border-bottom-left-radius: 0px; } }
/* header */
#cas #header { background: #6a7f10; padding-top: 10px; }
#cas #header #app-name {  color: white; padding: 1.4em 1.4em 1.4em 80px; font-size: 1.75em; font-weight: normal; background: url(../images/logomark.png) #6a7f10 scroll no-repeat 20px 50%;}

/* content */
#cas #content { padding: 10px; overflow: hidden; }
#cas #content #msg { padding: 20px; margin-bottom: 10px; }
#cas #content #msg h2 { font-size: 1.4em; margin-bottom: 0.5em; }
#cas #content #msg.errors { border: 1px dotted #BB0000; color: #BB0000; padding-left: 100px; background: url(../images/error.gif) no-repeat 20px center; }
#cas #content #msg.success { border: 1px dotted #390; color: #390; padding-left: 100px; background: url(../images/confirm.gif) no-repeat 20px center; }
#cas #content #msg.info { border: 1px dotted #008; color: #008; padding-left: 100px; background: url(../images/info.gif) no-repeat 20px center; }
#cas #content #login { width: 320px; float: left; margin-right: 20px; }
#cas #content #login #fm1 { padding: 20px; background: #eee; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
#cas #content #login #fm1 h2 { font-size: 1.4em; font-weight: normal; padding-bottom: 10px; margin-bottom: 10px; border-bottom: 1px solid #DDDDDD; }
#cas #content #login #fm1 .row { margin-bottom: 10px; }
#cas #content #login #fm1 .row .fl-label { display: block; color: #777777; }
#cas #content #login #fm1 .row input[type=text], #cas #content #login #fm1 .row input[type=password] { padding: 6px; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; border: 1px solid #DDDDDD; background: #FFFFDD; }
#cas #content #login #fm1 .row.check { padding-bottom: 10px; margin-bottom: 10px; border-bottom: 1px solid #DDDDDD; color: #777; font-size: 11px; }
#cas #content #login #fm1 .row .btn-submit { border-width: 2px; padding: 3px; margin-right: 4px; }
#cas #content #login #fm1 .row .btn-reset { border: 0; background: none; color: #777; text-transform: lowercase; border-left: 1px solid #ddd; }
#cas #content #login #fm1 .row .btn-submit:hover, #cas #content #login #fm1 .row .btn-reset:hover { cursor: pointer; }
#cas #content #sidebar { width: auto; }
#cas #content #sidebar .sidebar-content { padding-left: 20px; }
#cas #content #sidebar .sidebar-content p { margin-bottom: 1.4em; }
#cas #content #sidebar .sidebar-content #list-languages ul { list-style: none; }
#cas #content #sidebar .sidebar-content #list-languages ul li { display: inline-block; padding: 0px 10px; border-right: 1px solid #e2e2e2; }
#cas #content #sidebar .sidebar-content #list-languages ul li:last-child { border: 0; line-height: 1.4em; }

/* footer */
#cas #footer { color: #999; margin: 20px 0; }

/* < 960 */
@media only screen and (max-width: 960px) { #cas #footer { padding-left: 10px; } }
/* < 799 */
@media only screen and (max-width: 799px) { #cas #header #app-name { font-size: 1em; }
  #cas #content #login { float: none; width: 100%; }
  #cas #content #login #fm1 .row .fl-label { margin-left: -10px; }
  #cas #content #login #fm1 .row input[type=text], #cas #content #login #fm1 .row input[type=password] { width: 100%; margin-left: -10px; padding: 10px; }
  #cas #content #login #fm1 .row .btn-submit { outline: none; -webkit-appearance: none; -webkit-border-radius: 0; border: 0; background: #210F7A; color: white; font-weight: bold; width: 100%; padding: 10px 20px; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; }
  #cas #content #login #fm1 .row .btn-reset { display: none; }
  #cas #content #sidebar { margin-top: 20px; }
  #cas #content #sidebar .sidebar-content { padding: 0; } }


/* FOLLOW MODIFIED BY PORTLAND STATE UNIVERSITY Body updates */
header {
  display: grid;
  padding: 30px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  background-color: #6a7f10;
  background-image: url("/webapp/images/sso_gradient.png");
  background-size: cover;
  background-repeat: no-repeat;
  @media only screen and (max-width: 800px) {
    header {
      padding: 15px;
      border-top
    }
  }
}

.handy-links {
  padding-left: 2em;
}

#cas{
  background-color:#e5e6de;
  font-size: 13px;
  color: #42403A;
  font-family: Lucida Grande,Lucida Sans Unicode,sans-serif;
  line-height: 1.4em;
}

a {
  color:#A33F1F;
}

/* Container tweaks */

#cas .flc-screenNavigator-view-container #header,
#cas .flc-screenNavigator-view-container #content {
  background: #fff;
  -webkit-box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0);
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0);
  }

/* Login */

#cas #content #login{
  width:400px;
}

#cas #content #login #fm1{
  padding:15px 20px 5px;
  background-color: #F5F5F1;
}

#cas #content #login #fm1 .row .fl-label{
  padding-bottom:5px;
}

#cas #content #login #fm1 .row input[type=text],
#cas #content #login #fm1 .row input[type=password]{
  background-color:#FFF;
  margin: 0px;
  width:96%;
}

#cas #content #login #fm1 .row .btn-submit{
  outline: none;
  -webkit-appearance: none;
  -webkit-border-radius: 0;
  border: 0;
  background: #42413A;
  color: #CAE4E5;
  font-weight: bold;
  width: 100px;
  padding: 10px 20px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px; }
  
/* Sidebar */

#cas #content #sidebar .sidebar-content p{
  margin-top:10px;
  margin-bottom:10px;
}

/* Eliminate old logo */


#cas #content #sidebar .sidebar-content #list-languages ul{
  margin-top:10px;
}

#cas #content #sidebar .sidebar-content #list-languages ul li{
  display:block;
  float:left;
  width:90px;
  word-break: break-strict;
  border:none;
  padding:0px 10px 5px 0px;
}

#cas #header{
  padding-top:0px;
}

/* Size constraint changes */

#cas .flc-screenNavigator-view-container {
  max-width:960px;
  }
  
  
/* Media size */

/* < 960 */
@media only screen and (max-width: 960px) { #cas #footer { padding-left: 10px; } }
/* < 799 */
@media only screen and (max-width: 840px) { #cas #header #app-name { font-size: 1em; }
  #cas #content #login { float: none; width: 100%; }
  #cas #content #login #fm1 .row .fl-label { margin-left: -10px; }
  #cas #content #login #fm1 .row input[type=text], #cas #content #login #fm1 .row input[type=password] { width: 100%; margin-left: -10px; padding: 10px; }
  #cas #content #login #fm1 .row .btn-submit {
  outline: none;
  -webkit-appearance: none;
  -webkit-border-radius: 0;
  border: 0;
  background: #42413A;
  color: #CAE4E5;
  font-weight: bold;
  width: 100%;
  padding: 10px 20px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  }
  
  #cas #content #login #fm1 .row .btn-reset { display: none; }
  #cas #content #sidebar { margin-top: 20px; }
  #cas #content #sidebar .sidebar-content { padding: 0; }
  
  #cas #header #app-name{
    font-size:1.3em;
  }
}
@media only screen and (max-width: 469px) {
  #cas #content #sidebar .sidebar-content #list-languages ul li{
  display:block;
  float:left;
  width:80px;
  word-break: break-strict;
  border:none;
  padding:0px 10px 5px 0px;
}
  
}
